KLA11730
Multiple vulnerabilities in Mozilla Thunderbird
Updated: 05/22/2020
Detect date
?
04/09/2020
Severity
?
Critical
Description

Multiple vulnerabilities were found in Mozilla Thunderbird. Malicious users can exploit these vulnerabilities to execute arbitrary code, cause denial of service, obtain sensitive information.

Below is a complete list of vulnerabilities:

  1. Memory corruption vulnerability can be exploited to execute arbitrary code.
  2. Use after free vulnerability in nsDocShell destructor can be exploited to cause denial of service.
  3. Uninitialized memory vulnerability in WebGL can be exploited to potentially obtain sensitive information.
  4. Out of bounds write vulnerability in GMPDecodeData can be exploited to execute arbitrary code.
  5. Use after free vulnerability in ReadableStream can be exploited to cause denial of service.
Affected products

Mozilla Thunderbird earlier than 68.7

Solution

Update to the latest version
Download Thunderbird

Original advisories

mfsa2020-14

Impacts
?
ACE 
[?]

OSI 
[?]

DoS 
[?]
Related products
Mozilla Thunderbird
CVE-IDS
?
CVE-2020-68190.0Unknown
CVE-2020-68200.0Unknown
CVE-2020-68220.0Unknown
CVE-2020-68250.0Unknown
CVE-2020-68210.0Unknown